.\" by tianhua han, than@lucent.com, 610-712-7668.
.TH XFSTEST 1 "Jan 31" "Lucent Technology"
.SH NAME
xfstest \- X font server test utility
.SH SYNOPSIS
.B "xfstest"
[\-s \fIservername\fP]
[\-n \fIfont_number\fP]
[\-p \fIpattern\fP]
[\-t \fItime_out\fP]
.SH DESCRIPTION
.PP
.I Xfstest
is a utility for test the status of an X font server.  It is used to 
examine whether the server is alive, hung or dead. Also it could check the
availability of the fonts. But to get more detailed information of an
X font server, you should use fsinfo(1) or fslsfonts(1).
.PP
The advantage of using \fIxfstest\fP is that it has a time_out feature so
that when you use it to check the server's activity you won't get blocked
even if the server is hung or dead. 
.SH OPTIONS
.IP "\fB-s\fP \fIservername\fP"
This specifies the X font server name to be checked. e.g. tcp/localhost:7001.
Default is NULL.
.IP "\fB-n\fP \fIfont_number\fP"
This check whether \fIfont_number\fP of fonts is available on the server.
Default is 1.
.IP "\fB-p\fP \fIpattern\fP"
This specifies the pattern of the font to be checked. 
Default is "*", i.e. all fonts.
.IP "\fB-t\fP \fItime_out\fP"
This specifies after how many seconds 
if no answer from the server the "server hanging" will be declared. 
default 8 (seconds).
.SH "SEE ALSO"
fsinfo(1), fslsfonts(1), xfs(1)
.SH AUTHOR
Tianhua Han, Lucent Technology, \fIthan@lucent.com\fP
